iPhone Problem when upgrading iOS 4.0.2 to 5.1.1 on 3GS

Discussion in 'Jailbreaks and iOS Hacks' started by Byggaretom, Oct 22, 2012.

  1. Byggaretom macrumors newbie

    Joined:
    Oct 22, 2012
    #1
    Argh Ive been sitting with this problem now for several hours. I have a jailbreaked unlocked iPhone 3GS with iOS 4.0.2 with baseband 05.13.04 that I want to upgrade to iOS 5.1.1.

    Ive downloaded iOS 5.1.1 from here: http://www.redmondpie.com/download-...-4-3gs-ipad-ipod-touch-direct-official-links/, I then used redsn0w to keep the baseband (Im not sure if its neccessary, but I get the same problem even if I dont do it)

    When I try to upgrade it in itunes by using shift + update I always get the error: Unknown error occurred (11).

    Ive been googling for several hours without finding a solution, I thought I found the right solution here http://www.personalcomputerfixes.com/program-errors/itunes-error-11-fix-tutorial/ because the problem seemed exactly the same, but it didnt work either...

    I tried to put the phone in DFU mode by using redsn0w and then trying to upgrade using itunes, but when I start itunes when having the phone in DFU mode itunes says the phone has to be recovered before its possible to use it in itunes, I can therefore not press the upgrade button since its grayed out. Is this normal? It seems common for people to being able to upgrade when having the phone in DFU mode.

    What should I do?
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    You don't say if you had 5.1.1 hashes
    They are required to restore to 5.1.1
     
  3. Byggaretom thread starter macrumors newbie

    Joined:
    Oct 22, 2012
    #3
    I dont really know how the hashes work, but how am I suppose to have something for 5.1.1 when I've never had iOS 5.1.1 installed on my phone? Please explain some more!
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    The firmware on the phone is irrelevant to being able to save hashes.
    Download TinyUmbrella and hook up your phone, AdvancedTab, check get SHSH from Cydia, main tab hit save button to see if you have hashes.

    To read about shsh

    http://blog.iphone-dev.org/post/6952986620/blob-monster
     
  5. Byggaretom thread starter macrumors newbie

    Joined:
    Oct 22, 2012
    #5
    I only have these saved:
    iPhone3GS 4.0 (8A293)-3105900110669
    iPhone3GS 4.0.1 (8A306)-3105900110669
    iPhone3GS 4.0.2 (8A400)-3105900110669
    iPhone3GS 4.1 (8B117)-3105900110669
    iPhone3GS 4.2.1 (8C148a)-3105900110669

    Will I have to wait for an unthetered jailbreak for iOS 6.0 then? :/ I basically just want to upgrade my iOS to be able to use some more apps, I think 5.* something was required.
     
  6. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #6
    Yes, without any 5.x.x hashes, you will have to stay on 4.x.x or go to iOS6
     

Share This Page